import {notFound} from 'next/navigation'
import {jwennTeks} from '../../lib/oki-api'
import TeksDrawer from './teks-drawer'

export default async function TeksDrawerLoader() {
  const teks = await jwennTeks()

  if (!teks) {
    notFound()
  }

  return <TeksDrawer paroles={teks} />
}
